<mat-accordion>
  <mat-expansion-panel class="mb-3" [expanded]="true">
    <mat-expansion-panel-header class="card-header">
      <mat-panel-title>Activator Tasks</mat-panel-title>
    </mat-expansion-panel-header>
    <div [formGroup]="form">
      <div class="form-row">
        <div class="form-group row col-24">
          <label class="col-form-label col-6">Successful Activities:</label>
          <div class="col-18 border-checkbox-list">
            <div formArrayName="successfulActivities"
                 *ngFor="let control of form.get('successfulActivities')?.controls; let i = index;"
                 class="form-group col-24 col-sm-12 col-lg-8 checkbox-column">
              <dx-check-box [formControlName]="i"
                            [text]="activatorActivityList.successfulActivities[i].text"
                            (onValueChanged)="onSuccessfulValueChanged()">
              </dx-check-box>
            </div>
          </div>
        </div>
        <div class="form-group row col-24">
          <label class="col-form-label col-6">Failed Activities:</label>
          <div class="col-18 border-checkbox-list">
            <div formArrayName="failedActivities"
                 *ngFor="let control of form.get('failedActivities')?.controls; let i = index;"
                 class="form-group col-24 col-sm-12 col-lg-8 checkbox-column">
              <dx-check-box [formControlName]="i"
                            [text]="activatorActivityList.failedActivities[i].text"
                            (onValueChanged)="onFailedValueChanged()">
              </dx-check-box>
            </div>
          </div>
        </div>
      </div>
      <div class="form-group row col-24" *ngIf="option.failedCode?.isShown">
        <label class="col-form-label col-24 col-lg-6">Failed Codes:</label>
        <div class="col-24 col-lg-18 pl-0 pl-lg-3">
          <dx-select-box [items]="failedCodesList" formControlName="failedCode"
                         displayExpr="failReasDes" valueExpr="failReasId"
                         [searchEnabled]="true" [searchExpr]="['failReasDes']" searchMode="startswith">
          </dx-select-box>
        </div>
      </div>
      <div class="form-group row col-24">
        <label class="col-form-label col-24 col-lg-6">Preconfigure Completed:</label>
        <div class="col-24 col-lg-18 pl-0 pl-lg-3">
          <dx-select-box [items]="preconfigureList" formControlName="preconfigureCompleted"
                         displayExpr="description" valueExpr="value"
                         [searchEnabled]="true" [searchExpr]="['description']" searchMode="startswith">
          </dx-select-box>
        </div>
      </div>

      <div class="form-group row col-24">
        <label class="col-form-label col-24 col-lg-6 text-danger">Activator Comments:</label>
        <div class="col-24 col-lg-18 pl-0 pl-lg-3">
          <textarea class="form-control" rows="5" formControlName="comments"></textarea>
        </div>
      </div>
    </div>
  </mat-expansion-panel>
</mat-accordion>
